Bug 1394167 - Review Request: perl-Data-ICal-TimeZone - Time zones for Data::ICal
Summary: Review Request: perl-Data-ICal-TimeZone - Time zones for Data::ICal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Athos Ribeiro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1646032 (view as bug list)
Depends On:
Blocks: 1394252
TreeView+ depends on / blocked
 
Reported: 2016-11-11 10:05 UTC by Petr Pisar
Modified: 2018-11-06 07:40 UTC (History)
3 users (show)

Fixed In Version: perl-Data-ICal-TimeZone-1.23-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-19 21:19:45 UTC
athoscribeiro: fedora-review+


Attachments (Terms of Use)

Description Petr Pisar 2016-11-11 10:05:37 UTC
Spec URL: https://ppisar.fedorapeople.org/perl-Data-ICal-TimeZone/perl-Data-ICal-TimeZone.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Data-ICal-TimeZone/perl-Data-ICal-TimeZone-1.23-1.fc26.src.rpm
Description:
Data::ICal::TimeZone provides a mechanism for adding the Olson standard
time zones to your iCalendar documents, plus a copy of the Olson time zone
database.

Fedora Account System Username: ppisar

Comment 1 Athos Ribeiro 2016-11-12 15:37:45 UTC
License: The only place that refers to a license is in the TimeZone.pm file, saying that the module is licensed under the same terms as Perl.

Could this be interpreted as "this refers only to this file and not to its submodules" instead of  "this refers to this cpan module, thus, submodules included"?

Any thoughts here?

It would be nice to ask the author to include the license in the META.yml file so it is described in CPAN (and maybe a LICENSE file?).

BuildRequires are ok.

binary Requires are ok.

The package has embedded time zones data, but spec follows https://fedoraproject.org/wiki/Packaging:Guidelines#Bundling_and_Duplication_of_system_libraries, provides bundled(tzdata) and packager opened a bug on it @ https://rt.cpan.org/Public/Bug/Display.html?id=118709 suggesting that upstream should not use those embedded information and provides a solution.

binary Provides are ok.

fedora-review complains about BuildRequires make and findutils, since those are already included in the current minimum build environment. I had a discussion on #fedora-devel on those: guidelines are vague on those since "RPM deps may change" and the definition of "basic shell scripts" is not clear. So I believe those are up to packager and reviewer to discuss. Maybe fedora-review should be updated (?) 

Package looks good to me. Approved

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[-]: Package does not own files or directories owned by other packages.
[x]: Package contains no bundled libraries without FPC exception.
  Note - discussed during review.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-Data-ICal-TimeZone-1.23-1.fc26.noarch.rpm
          perl-Data-ICal-TimeZone-1.23-1.fc26.src.rpm
perl-Data-ICal-TimeZone.noarch: W: spelling-error %description -l en_US iCalendar -> i Calendar, calendar, legendarily
perl-Data-ICal-TimeZone.src: W: spelling-error %description -l en_US iCalendar -> i Calendar, calendar, legendarily
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
perl-Data-ICal-TimeZone.noarch: W: spelling-error %description -l en_US iCalendar -> i Calendar, calendar, legendarily
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


Source checksums
----------------
http://www.cpan.org/authors/id/R/RC/RCLAMP/Data-ICal-TimeZone-1.23.tar.gz :
  CHECKSUM(SHA256) this package     : 3c422bb69dff33ae884c746e6015ed2da19deb2804b59c4c7978428c49def1bf
  CHECKSUM(SHA256) upstream package : 3c422bb69dff33ae884c746e6015ed2da19deb2804b59c4c7978428c49def1bf

Comment 2 Petr Pisar 2016-11-14 09:02:14 UTC
Thanks. I file a bug report regarding the license <https://rt.cpan.org/Public/Bug/Display.html?id=118756>.

Comment 3 Gwyn Ciesla 2016-11-14 15:40:42 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Data-ICal-TimeZone

Comment 4 Petr Pisar 2016-11-15 07:47:56 UTC
Thank you for the review and the repository.

Comment 5 Fedora Update System 2016-11-15 07:49:30 UTC
perl-Data-ICal-TimeZone-1.23-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d9ac25fe7a

Comment 6 Fedora Update System 2016-11-15 07:51:42 UTC
perl-Data-ICal-TimeZone-1.23-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9d8306c742

Comment 7 Fedora Update System 2016-11-15 13:28:48 UTC
perl-Data-ICal-TimeZone-1.23-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d9ac25fe7a

Comment 8 Fedora Update System 2016-11-16 10:24:52 UTC
perl-Data-ICal-TimeZone-1.23-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9d8306c742

Comment 9 Fedora Update System 2016-11-19 21:19:45 UTC
perl-Data-ICal-TimeZone-1.23-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-11-24 20:28:17 UTC
perl-Data-ICal-TimeZone-1.23-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Jitka Plesnikova 2018-11-06 07:40:19 UTC
*** Bug 1646032 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.